Uploaded image for project: 'Oozie'
  1. Oozie
  2. OOZIE-2036

Drop support for Java 1.6

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: trunk
    • Fix Version/s: 4.3.0
    • Component/s: None
    • Labels:
      None

      Description

      Hadoop is planning on dropping support for JDK 6, which is EoL, with Hadoop 2.7. We should probably do the same in Oozie trunk.

      This task involves:

      • Only allow building on JDK 7+
      • Making the build target Java 7

        Attachments

        1. OOZIE-2036-02.patch
          4 kB
          Abhishek Bafna
        2. OOZIE-2036-001.patch
          5 kB
          Gézapeti

          Issue Links

          There are no Sub-Tasks for this issue.

            Activity

              People

              • Assignee:
                gezapeti Gézapeti
                Reporter:
                rkanter Robert Kanter
              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: